// ########################################################################
// ## viewerwidget.h                                                     ##
// ## Viewer fr Graphenlisten                                           ##
// ## Copyright Thomas Dreibholz, uzs6pq@ibm.rhrz.uni-bonn.de            ##
// ##           WWW Homepage:     http://ibm.rhrz.uni-bonn.de/~uzs6pq    ##
// ########################################################################

#ifndef VIEWERWIDGET_H
#define VIEWERWIDGET_H

#include <qapp.h>
#include <qpopmenu.h>

#include <kapp.h>
#include <ktopwidget.h>
#include <ktoolbar.h>

#include "../system.h"
#include "../tdgf/tdgf.h"

#include "graphwidget.h"
 
 
// Men- und Toolbar-IDs
enum {
   idFileNewWindow = 100,
   idFileCloseWindow,
   idFileOpenList,
   idFileAboutList,
   idFilePrintList,
   idFileQuit,

   idGoToFirst = 200,
   idGoToLast,
   idGoToPrev,
   idGoToNext,

   idOptionsToolBar = 300,
   idOptionsStatusBar,
   idOptionsXPlus,
   idOptionsYPlus,
   idOptionsXMinus,
   idOptionsYMinus,
   
   idTitle = 900,
   idStatus
};


// ViewerWidget-Klasse
class ViewerWidget : public KTopLevelWidget
{
   Q_OBJECT
   public:
   ViewerWidget();
   ~ViewerWidget();

   bool Oeffnen(const char* fileName);
   void Drucken();
   void Information();

   public slots:   
   void closeEvent(QCloseEvent* event);
   void menuCallback(int id);
   void statusBarUpdate();
   void dropEvent(KDNDDropZone* dropZone);

   private:
   KMenuBar*                  menuBar;
   KToolBar*                  toolBar;
   KStatusBar*                statusBar;
   KDNDDropZone*              dropZone;
   QPopupMenu*                options;
   QPopupMenu*                file;
   QPopupMenu*                goTo;
   GraphWidget*               display;
   static QList<ViewerWidget> windowList;
   bool                       zeigeToolBar;
   bool                       zeigeStatusBar;
   INFO_Header                info;
};

#endif
